#include <stdint.h>
#include "LPC407x_8x_177x_8x.h"
#include "system_LPC407x_8x_177x_8x.h"
#include "FreeRTOS.h"                   // ARM.FreeRTOS::RTOS:Core
#include "task.h"                       // ARM.FreeRTOS::RTOS:Core
#include "semphr.h"                     // ARM.FreeRTOS::RTOS:Core
#include "queue.h"
#include "GPIO_LPC40xx.h"
#include "PIN_LPC40xx.h"
#include "GPDMA_LPC40xx.h"


#define	configTOGGLE_STACK_SIZE				(( unsigned short ) 200)

#define tskTOGGLE_PRIORITY			tskIDLE_PRIORITY


static xTaskHandle xToggleHandle;
	


int32_t udp_sock;                       // UDP socket handle
void vToggleTask(void *pvParameters);

 
// Allocate and initialize the socket.
int main (void) {
 
 
	vTaskStartScheduler();
	while(1);
	
	

}

void vToggleTask(void *pvParameters)
{
	
	portTickType xLastWakeTime,xFrequency;
	unsigned char toggle=0x00;
	xFrequency = 100;
	xLastWakeTime = xTaskGetTickCount();
	GPIO_SetDir (0, 24, GPIO_DIR_OUTPUT);

	
	while(1)
	{
			vTaskDelayUntil(&xLastWakeTime,xFrequency);
			toggle^=0x01;
		  if (toggle){
			GPIO_PinWrite (0, 24, 1);
				for(int i=100000;i!=0;i--){
					__NOP;
				}
			}
			else {
				GPIO_PinWrite (0, 24, 0);
				for(int i=100000;i!=0;i--){
					__NOP;
				}
			}
	}
}
